|  | Home | Documentation | duration.c File Reference updated by Robert van Engelen |

Functions
duration.c File Reference
`#include "soapH.h"`
Include dependency graph for duration.c:

## Functions

SOAP_FMAC3 void SOAP_FMAC4 | soap_default_xsd__duration (struct soap *soap, LONG64 *a)
SOAP_FMAC3 const char *SOAP_FMAC4 | soap_xsd__duration2s (struct soap *soap, LONG64 a)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_xsd__duration (struct soap *soap, const char *tag, int id, const LONG64 *a, const char *type)
SOAP_FMAC3 int SOAP_FMAC4 | soap_s2xsd__duration (struct soap *soap, const char *s, LONG64 *a)
SOAP_FMAC3 LONG64 *SOAP_FMAC4 | soap_in_xsd__duration (struct soap *soap, const char *tag, LONG64 *a, const char *type)

## Function Documentation

## ◆ soap_default_xsd__duration()

SOAP_FMAC3 void SOAP_FMAC4 soap_default_xsd__duration | ( | struct soap * | soap,
|  | LONG64 * | a )

## ◆ soap_in_xsd__duration()

SOAP_FMAC3 LONG64 *SOAP_FMAC4 soap_in_xsd__duration | ( | struct soap * | soap,
|  | const char * | tag,
|  | LONG64 * | a,
|  | const char * | type )

## ◆ soap_out_xsd__duration()

SOAP_FMAC3 int SOAP_FMAC4 soap_out_xsd__duration | ( | struct soap * | soap,
|  | const char * | tag,
|  | int | id,
|  | const LONG64 * | a,
|  | const char * | type )

## ◆ soap_s2xsd__duration()

SOAP_FMAC3 int SOAP_FMAC4 soap_s2xsd__duration | ( | struct soap * | soap,
|  | const char * | s,
|  | LONG64 * | a )

## ◆ soap_xsd__duration2s()

SOAP_FMAC3 const char *SOAP_FMAC4 soap_xsd__duration2s | ( | struct soap * | soap,
|  | LONG64 | a )